## com.bbn.openmap.geo
Interface GeoPath

All Superinterfaces:
  GeoExtent

All Known Subinterfaces:
  GeoRegion

All Known Implementing Classes:
  GeoPath.Impl, GeoRegion.Impl

public interface GeoPath
extends GeoExtent

An abstraction of an arbitrary geographic path. A path is assumed to mean a chain of points that although it may share a common starting and end point, it will not not represent an area in that case.

Author:
  mthome@bbn.com

Nested Class Summary
`static class` `GeoPath.Impl` An implementation of Path that takes an alternating lat/lon array and (optionally) an array of altitudes.
`static interface` `GeoPath.PointIterator`
`static interface` `GeoPath.SegmentIterator`

Method Summary
`GeoArray` `getPoints()` Return the points that make up the path as an array of Geo object.
`boolean` `isSegmentNear(GeoSegment s, double epsilon)` Does the segment s come within epsilon (in radians) of us?
`int` `length()`
`GeoPath.PointIterator` `pointIterator()`
`GeoPath.SegmentIterator` `segmentIterator()`

Methods inherited from interface com.bbn.openmap.geo.GeoExtent
`getBoundingCircle, getID`

Method Detail

### segmentIterator

    public GeoPath.SegmentIterator segmentIterator()

  Returns:
    an iterator over the segments of the path *

### pointIterator

    public GeoPath.PointIterator pointIterator()

  Returns:
    an iterator over the points of the path *

### isSegmentNear

    public boolean isSegmentNear(GeoSegment s,
                                 double epsilon)

  Does the segment s come within epsilon (in radians) of us?

### getPoints

    public GeoArray getPoints()

  Return the points that make up the path as an array of Geo object. Closed paths are not specially marked. Specifically, closed paths do not have equal first and last Geo points in the returned array.

  Returns:
    the Geo points of the Path

### length

    public int length()

  Returns:
    the number of points in the path.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details